### Method

# FwupdPlugin Device query_file_exists

#### Declaration [src]

    gboolean
    fu_device_query_file_exists (
      FuDevice* self,
      const gchar* filename,
      gboolean* exists,
      GError** error
    )

#### Description [src]

Checks if a file exists.

Available since: | 2.0.2

#### Parameters

`filename` | `const gchar*`
| Filename.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`exists` | `gboolean*`
| If `filename` exists.
| The argument will be set by the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.